## org.eclipse.m2m.atl.adt.ui.text.atl
Class AtlCompletionProposal.ExitPolicy

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.AtlCompletionProposal.ExitPolicy

All Implemented Interfaces:
  org.eclipse.jface.text.link.LinkedModeUI.IExitPolicy

Enclosing class:
  AtlCompletionProposal

    protected static class AtlCompletionProposal.ExitPolicy

extends java.lang.Object
implements org.eclipse.jface.text.link.LinkedModeUI.IExitPolicy

Constructor Summary
`AtlCompletionProposal.ExitPolicy(char exitCharacter)`

Method Summary
`org.eclipse.jface.text.link.LinkedModeUI.ExitFlags` `doExit(org.eclipse.jface.text.link.LinkedModeModel environment, org.eclipse.swt.events.VerifyEvent event, int offset, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtlCompletionProposal.ExitPolicy

    public AtlCompletionProposal.ExitPolicy(char exitCharacter)

Method Detail

### doExit

    public org.eclipse.jface.text.link.LinkedModeUI.ExitFlags doExit(org.eclipse.jface.text.link.LinkedModeModel environment,
                                                                     org.eclipse.swt.events.VerifyEvent event,
                                                                     int offset,
                                                                     int length)

  Specified by:
    `doExit` in interface `org.eclipse.jface.text.link.LinkedModeUI.IExitPolicy`

Copyright 2007 IBM Corporation and others. All Rights Reserved.